package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 工作台图标对象 indexconfig_icon
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class IndexconfigIcon extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 工作台图标 */
    @Excel(name = "工作台图标")
    private String icon;

    /** 描述 */
    @Excel(name = "描述")
    private String iconName;

    /** 身份，0为合伙人，1为伴宠师 */
    @Excel(name = "身份，0为合伙人，1为伴宠师")
    private Long identity;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIcon(String icon) 
    {
        this.icon = icon;
    }

    public String getIcon() 
    {
        return icon;
    }
    public void setIconName(String iconName) 
    {
        this.iconName = iconName;
    }

    public String getIconName() 
    {
        return iconName;
    }
    public void setIdentity(Long identity) 
    {
        this.identity = identity;
    }

    public Long getIdentity() 
    {
        return identity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("icon", getIcon())
            .append("iconName", getIconName())
            .append("identity", getIdentity())
            .toString();
    }
}
